Extending Qt Creator Manual | TypedTreeItem

Extending Qt Creator Manual 4.7.1

# TypedTreeItem Class

(Utils::TypedTreeItem)

- List of all members, including inherited members

## Public Functions

ChildType * | childAt(int index) const
ChildType * | findFirstLevelChild(Predicate pred) const
void | forAllChildren(const Predicate &pred) const
void | forFirstLevelChildren(Predicate pred) const
void | insertOrderedChild(ChildType *item, const int &cmp)
ParentType * | parent() const
void | sortChildren(const int &lessThan)

## Member Function Documentation

### ChildType *TypedTreeItem::childAt(int index) const

### ChildType *TypedTreeItem::findFirstLevelChild(Predicate pred) const

### void TypedTreeItem::forAllChildren(const Predicate &pred) const

### void TypedTreeItem::forFirstLevelChildren(Predicate pred) const

### void TypedTreeItem::insertOrderedChild(ChildType *item, const int &cmp)

### ParentType *TypedTreeItem::parent() const

### void TypedTreeItem::sortChildren(const int &lessThan)